<?php
$servername = "localhost";
$username = "any";
$password = "";

// Kreiranje konekcije
$conn = mysqli_connect($servername, $username, $password);
// Provera konekcije
if (!$conn) {
    die("Connection failed: " . mysqli_connect_error());
} else {
	mysqli_query($conn, "SET NAMES utf8");
}

// Kreiranje baze
$sql = "CREATE DATABASE IF NOT EXISTS restoranidipl DEFAULT COLLATE utf8_general_ci";
if (mysqli_query($conn, $sql)) {
	echo "Database created successfully <br />";
} else {
	echo "Error creating database: " . mysqli_error($conn);
}

// Selektovanje baze
mysqli_select_db($conn,"restoranidipl");

// Kreiranje tabele za jela
$sql = "CREATE TABLE IF NOT EXISTS `jela` (
			`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
			`restoran_id` int(10) unsigned NOT NULL,
			`naziv` varchar(256) NOT NULL,
			`opis` text NOT NULL,
			`cena` decimal(6,2) NOT NULL,
			PRIMARY KEY (`id`)
		) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";
if (mysqli_query($conn, $sql)) {
	echo "Table jela created successfully <br />";
} else {
	echo "Error creating table: " . mysqli_error($conn);
}

// Kreiranje tabele za restorane
$sql = "CREATE TABLE IF NOT EXISTS `restorani` (
			`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
			`ime` varchar(128) NOT NULL,
			`adresa` text NOT NULL,
			PRIMARY KEY (`id`)
		) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;";
if (mysqli_query($conn, $sql)) {
	echo "Table restorani created successfully <br />";
} else {
	echo "Error creating table: " . mysqli_error($conn);
}

?>