<?php
// Konekcija na bazu
require_once('baza.php');

if(isset($_GET['restoran'])){
	$odabraniRestoran = $_GET['restoran'];
}else{
	$odabraniRestoran = 0;
}
?>
<!DOCTYPE html>
<html>
<head>
	<title>Restorani - Unos Podataka</title>
	<meta charset="utf-8" />
	<link rel="stylesheet" type="text/css" href="css/stil.css" />
</head>

<body class="admin">
	<h2>Unos Podataka</h2>

	<div class="kolona-1">
		<h3>Restorani</h3>

		<form method="post" action="unos-restorani.php">

			<label for="input_imerestorana">Ime Restorana</label>
			<input type="text" name="ime_restorana" id="input_imerestorana" />

			<label for="input_adresa">Adresa Restorana</label>
			<textarea name="adresa_restorana" id="input_adresa"></textarea>

			<input type="submit" class="submit" value="Dodaj" />

		</form>
	</div>

	<div class="kolona-2">
		<h3>Jela</h3>

		<form method="post" action="unos-jela.php">

			<label for="input_idrestorana">Ime Restorana</label>
			<select name="id_restorana" id="input_idrestorana">
				<?php
				// Uzimanje podataka o restoranima
				$sql = "SELECT * FROM restorani ORDER BY id ASC";
				$result = mysqli_query($conn, $sql);
				if (mysqli_num_rows($result) > 0) {
					while($row = mysqli_fetch_assoc($result)) {
						echo '<option value="'.$row['id'].'">'.$row['ime'].'</option>';
					}				
				}else{
					echo '<option value="0">Nema unetih restorana</option>';
				}
				?>
			</select>

			<label for="input_nazivjela">Naziv Jela</label>
			<input type="text" name="naziv_jela" id="input_nazivjela" />

			<label for="input_opisjela">Opis Jela</label>
			<textarea name="opis_jela" id="input_opisjela"></textarea>

			<label for="input_cenajela">Cena Jela</label>
			<input type="text" name="cena_jela" id="input_cenajela" />

			<input type="submit" class="submit" value="Dodaj" />

		</form>
	</div>

	<div style="clear: both; margin-bottom: 20px;"></div>

	<h2>Postojeći Podaci</h2>

	<div class="tabs">
		<a href="#" id="tab-restorani" onclick="showTab('restorani-content'); return false;">Restorani</a>
		<a href="#" id="tab-jela" onclick="showTab('jela-content'); return false;">Jela</a>
	</div>

	<div id="restorani-content" class="full tab-content hidden">
		<h3>Restorani</h3>

		<table>
			<thead>
				<tr>
					<td>ID Restorana</td>
					<td>Ime Restorana</td>
					<td>Adresa Restorana</td>
					<td>Opcije</td>
				</tr>
			</thead>

			<tbody>
				<?php
				// Uzimanje podataka o restoranima
				$sql = "SELECT * FROM restorani ORDER BY id ASC";
				$result = mysqli_query($conn, $sql);
				if (mysqli_num_rows($result) > 0) {
					while($row = mysqli_fetch_assoc($result)) {
						?>
				<tr>
					<form method="post" action="azuriraj-restoran.php">
						<td>
							<input type="hidden" name="id" value="<?php echo $row['id'];?>" />
							<?php echo $row['id'];?>
						</td>
						<td><input type="text" name="ime_restorana" value="<?php echo $row['ime'];?>" /></td>
						<td><textarea name="adresa_restorana"><?php echo $row['adresa'];?></textarea></td>
						<td>
							<input type="submit" class="submit" name="izmeni" value="Izmeni" />
							<input type="submit" class="submit" name="obrisi" value="Obriši" />
						</td>
					</form>
				</tr>
						<?php
				
					}
				} else {
    				echo "<tr><td colspan=4>Nema unetih restorana</td></tr>";
				}
				?>
			</tbody>
		</table>

	</div>
	<div id="jela-content" class="full tab-content">

		<h3>Jela</h3>

		<form method="get" action="unos.php">
			<select name="restoran">
				<?php
				// Uzimanje podataka o restoranima
				$sql = "SELECT * FROM restorani ORDER BY id ASC";
				$result = mysqli_query($conn, $sql);
				if (mysqli_num_rows($result) > 0) {
					while($row = mysqli_fetch_assoc($result)) {
						?>
				<option value="<?php echo $row['id'];?>" <?php echo ($row['id'] == $odabraniRestoran) ? 'selected' : '';?> ><?php echo $row['ime'];?></option>
						<?php
					}
				}
				?>
			</select>
			<input type="submit" value="Odaberi Restoran" />
		</form>

		<table>
			<thead>
				<tr>
					<td>ID Jela</td>
					<td>Ime Restorana</td>
					<td>Naziv Jela</td>
					<td>Opis Jela</td>
					<td>Cena Jela</td>
					<td>Opcije</td>
				</tr>
			</thead>

			<tbody>
				<?php
				// Uzimanje podataka o jelima
				if($odabraniRestoran != 0){
					$sql = "SELECT j.*, r.ime AS restoran_ime FROM jela j LEFT JOIN restorani r ON (r.id = j.restoran_id) WHERE j.restoran_id = $odabraniRestoran ORDER BY r.id, j.naziv ASC";
					$result = mysqli_query($conn, $sql);
					if (mysqli_num_rows($result) > 0) {
						while($row = mysqli_fetch_assoc($result)) {
							?>
					<tr>
						<form method="post" action="azuriraj-jelo.php">
							<td>
								<input type="hidden" name="id" value="<?php echo $row['id'];?>" />
								<?php echo $row['id'];?>
							</td>
							<td><?php echo $row['restoran_ime'];?></td>
							<td><input type="text" name="naziv_jela" value="<?php echo $row['naziv'];?>" /></td>
							<td><textarea name="opis_jela"><?php echo $row['opis'];?></textarea></td>
							<td><input type="text" name="cena_jela" value="<?php echo $row['cena'];?>" /></td>
							<td>
								<input type="hidden" name="restoran" value="<?php echo $row['restoran_id'];?>" />
 								<input type="submit" class="submit" name="izmeni" value="Izmeni" />
								<input type="submit" class="submit" name="obrisi" value="Obriši" />
							</td>
						</form>
					</tr>
							<?php
						}
					} else {
    					echo "<tr><td colspan=6>Nema unetih jela</td></tr>";
					}
				}else{
					?>
				<tr>
					<td colspan="6">Odaberite Restoran</td>
				</tr>
					<?php
				}
					?>
			</tbody>
		</table>

	</div>

<script type="text/javascript">
function showTab(tabID){
	var divsToHide = document.getElementsByClassName("tab-content");
	for(var i = 0; i < divsToHide.length; i++){
		divsToHide[i].classList.add("hidden");
	}
	var divToShow = document.getElementById(tabID);
	divToShow.classList.remove("hidden");
}
</script>

</body>
</html>
